View Issue Details

IDProjectCategoryView StatusLast Update
0001714unrealircdpublic2015-07-09 18:45
ReporterStealthAssigned Tosyzop 
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4-alpha4 
Summary0001714: VHost in Oper Block
DescriptionIt would be nice to be able to specify a custom vhost in the oper block so when the user /oper's s/he can have his/her own vhost without needing to /chghost or /vhost
TagsVHOST
3rd party modules

Relationships

child of 0003284 acknowledged 3rd Party Module Wishlist 

Activities

AngryWolf

2004-04-09 04:00

reporter   ~0005801

If it would be nice for you, then you (and your operators) must be lazy.

aquanight

2004-04-09 13:39

reporter   ~0005804

Actually this would be good if you use service-admin in your conf and you want your Service _Operators_ and _Admins_ to have different default vhosts.

AngryWolf

2004-04-09 13:50

reporter   ~0005805

To have default vhosts, well, it's impossible. The ircd cannot differentiate service operators and admins, you probably know. Instead, a /sethost in their on-connect scripts can set a different vhosts for them. Easy and simple. And your operators can modify their vhosts anytime without disturbing you with the configuration.

w00t

2007-04-15 12:09

reporter   ~0013389

No, it can't. But the oper block can, which was the original request.

*bump*.

Shining Phoenix

2007-04-17 06:29

reporter   ~0013475

Why have both vhost and oper blocks for the smae person, when they could just have one more line in their oper block? This would make navigating your unrealircd.conf easier. And saves having to screw around with scripts to get the vhost you want.

fbi

2007-04-17 08:56

reporter   ~0013476

maybe spoof on connect with options? (how in ircd-hybrid...)
it maybe better..

stskeeps

2007-04-18 05:16

reporter   ~0013504

Make a module, i'd say.. A m_oper replacement would be okay in my eyes, so why don't you code it? :)

Stealth

2007-04-18 11:38

reporter   ~0013520

Can a module add a directive to the oper block?

Also, if someone just put out an m_oper replacement, the module would need to be updated and released with every Unreal version

syzop

2015-07-09 18:44

administrator   ~0018433

This is in 3.4-alpha4. oper::vhost

Issue History

Date Modified Username Field Change
2004-04-08 17:55 Stealth New Issue
2004-04-09 04:00 AngryWolf Note Added: 0005801
2004-04-09 13:39 aquanight Note Added: 0005804
2004-04-09 13:50 AngryWolf Note Added: 0005805
2007-04-15 12:09 w00t Note Added: 0013389
2007-04-17 06:29 Shining Phoenix Note Added: 0013475
2007-04-17 08:56 fbi Note Added: 0013476
2007-04-18 05:16 stskeeps Note Added: 0013504
2007-04-18 05:20 stskeeps Status new => feedback
2007-04-18 05:52 stskeeps Relationship added child of 0003284
2007-04-18 11:38 Stealth Note Added: 0013520
2013-03-30 18:46 vonitsanet Tag Attached: VHOST
2015-07-09 18:44 syzop Note Added: 0018433
2015-07-09 18:44 syzop Status feedback => resolved
2015-07-09 18:44 syzop Fixed in Version => 3.4-alpha4
2015-07-09 18:44 syzop Resolution open => fixed
2015-07-09 18:44 syzop Assigned To => syzop